const he = "player-kyc-verification", ge = (
  /* player-kyc-verification */
  { hydratedSelectorName: "hydrated" }
);
var ye = Object.defineProperty, me = (e, t) => {
  for (var n in t)
    ye(e, n, { get: t[n], enumerable: !0 });
}, z = /* @__PURE__ */ new WeakMap(), k = (e) => z.get(e), lt = (e, t) => z.set(t.$lazyInstance$ = e, t), Se = (e, t) => {
  const n = {
    $flags$: 0,
    $hostElement$: e,
    $cmpMeta$: t,
    $instanceValues$: /* @__PURE__ */ new Map()
  };
  return n.$onReadyPromise$ = new Promise((s) => n.$onReadyResolve$ = s), e["s-p"] = [], e["s-rc"] = [], z.set(e, n);
}, W = (e, t) => t in e, b = (e, t) => (0, console.error)(e, t), I = /* @__PURE__ */ new Map(), Ee = (e, t, n) => {
  const s = e.$tagName$.replace(/-/g, "_"), r = e.$lazyBundleId$;
  if (!r)
    return;
  const i = I.get(r);
  if (i)
    return i[s];
  {
    const a = (o) => (I.set(r, o), o[s]);
    switch (r) {
      case "player-kyc-verification":
        return import(
          /* webpackMode: "lazy" */
          "./player-kyc-verification-BUKoBt3P.js"
        ).then(a, b);
    }
  }
  return import(
    /* @vite-ignore */
    /* webpackInclude: /\.entry\.js$/ */
    /* webpackExclude: /\.system\.entry\.js$/ */
    /* webpackMode: "lazy" */
    `./${r}.entry.js`
  ).then((a) => (I.set(r, a), a[s]), b);
}, L = /* @__PURE__ */ new Map(), ke = "{visibility:hidden}.hydrated{visibility:inherit}", ee = "slot-fb{display:contents}slot-fb[hidden]{display:none}", O = typeof window < "u" ? window : {}, m = O.document || { head: {} }, d = {
  $flags$: 0,
  $resourcesUrl$: "",
  jmp: (e) => e(),
  raf: (e) => requestAnimationFrame(e),
  ael: (e, t, n, s) => e.addEventListener(t, n, s),
  rel: (e, t, n, s) => e.removeEventListener(t, n, s),
  ce: (e, t) => new CustomEvent(e, t)
}, be = (e) => Promise.resolve(e), we = /* @__PURE__ */ (() => {
  try {
    return new CSSStyleSheet(), typeof new CSSStyleSheet().replaceSync == "function";
  } catch {
  }
  return !1;
})(), C = !1, G = [], te = [], xe = (e, t) => (n) => {
  e.push(n), C || (C = !0, d.$flags$ & 4 ? B(U) : d.raf(U));
}, X = (e) => {
  for (let t = 0; t < e.length; t++)
    try {
      e[t](performance.now());
    } catch (n) {
      b(n);
    }
  e.length = 0;
}, U = () => {
  X(G), X(te), (C = G.length > 0) && d.raf(U);
}, B = (e) => be().then(e), Pe = /* @__PURE__ */ xe(te), Y = {}, Te = "http://www.w3.org/2000/svg", _e = "http://www.w3.org/1999/xhtml", Ae = (e) => e != null, q = (e) => (e = typeof e, e === "object" || e === "function");
function se(e) {
  var t, n, s;
  return (s = (n = (t = e.head) == null ? void 0 : t.querySelector('meta[name="csp-nonce"]')) == null ? void 0 : n.getAttribute("content")) != null ? s : void 0;
}
var Le = {};
me(Le, {
  err: () => ne,
  map: () => je,
  ok: () => H,
  unwrap: () => Oe,
  unwrapErr: () => Ie
});
var H = (e) => ({
  isOk: !0,
  isErr: !1,
  value: e
}), ne = (e) => ({
  isOk: !1,
  isErr: !0,
  value: e
});
function je(e, t) {
  if (e.isOk) {
    const n = t(e.value);
    return n instanceof Promise ? n.then((s) => H(s)) : H(n);
  }
  if (e.isErr) {
    const n = e.value;
    return ne(n);
  }
  throw "should never get here";
}
var Oe = (e) => {
  if (e.isOk)
    return e.value;
  throw e.value;
}, Ie = (e) => {
  if (e.isErr)
    return e.value;
  throw e.value;
}, S = (e, t = "") => () => {
}, Ce = (e, t) => () => {
}, re = (e, t, ...n) => {
  let s = null, r = !1, i = !1;
  const a = [], o = ($) => {
    for (let c = 0; c < $.length; c++)
      s = $[c], Array.isArray(s) ? o(s) : s != null && typeof s != "boolean" && ((r = typeof e != "function" && !q(s)) && (s = String(s)), r && i ? a[a.length - 1].$text$ += s : a.push(r ? j(null, s) : s), i = r);
  };
  if (o(n), t) {
    const $ = t.className || t.class;
    $ && (t.class = typeof $ != "object" ? $ : Object.keys($).filter((c) => $[c]).join(" "));
  }
  if (typeof e == "function")
    return e(
      t === null ? {} : t,
      a,
      ze
    );
  const l = j(e, null);
  return l.$attrs$ = t, a.length > 0 && (l.$children$ = a), l;
}, j = (e, t) => {
  const n = {
    $flags$: 0,
    $tag$: e,
    $text$: t,
    $elm$: null,
    $children$: null
  };
  return n.$attrs$ = null, n;
}, Ue = {}, He = (e) => e && e.$tag$ === Ue, ze = {
  forEach: (e, t) => e.map(J).forEach(t),
  map: (e, t) => e.map(J).map(t).map(Be)
}, J = (e) => ({
  vattrs: e.$attrs$,
  vchildren: e.$children$,
  vkey: e.$key$,
  vname: e.$name$,
  vtag: e.$tag$,
  vtext: e.$text$
}), Be = (e) => {
  if (typeof e.vtag == "function") {
    const n = { ...e.vattrs };
    return e.vkey && (n.key = e.vkey), e.vname && (n.name = e.vname), re(e.vtag, n, ...e.vchildren || []);
  }
  const t = j(e.vtag, e.vtext);
  return t.$attrs$ = e.vattrs, t.$children$ = e.vchildren, t.$key$ = e.vkey, t.$name$ = e.vname, t;
}, qe = (e, t) => e != null && !q(e) && t & 1 ? String(e) : e, Fe = (e, t, n) => {
  const s = d.ce(t, n);
  return e.dispatchEvent(s), s;
}, K = /* @__PURE__ */ new WeakMap(), De = (e, t, n) => {
  let s = L.get(e);
  we && n ? (s = s || new CSSStyleSheet(), typeof s == "string" ? s = t : s.replaceSync(t)) : s = t, L.set(e, s);
}, Me = (e, t, n) => {
  var s;
  const r = ae(t), i = L.get(r);
  if (e = e.nodeType === 11 ? e : m, i)
    if (typeof i == "string") {
      e = e.head || e;
      let a = K.get(e), o;
      if (a || K.set(e, a = /* @__PURE__ */ new Set()), !a.has(r)) {
        {
          o = m.createElement("style"), o.innerHTML = i;
          const l = (s = d.$nonce$) != null ? s : se(m);
          l != null && o.setAttribute("nonce", l), e.insertBefore(o, e.querySelector("link"));
        }
        t.$flags$ & 4 && (o.innerHTML += ee), a && a.add(r);
      }
    } else
      e.adoptedStyleSheets.includes(i) || (e.adoptedStyleSheets = [...e.adoptedStyleSheets, i]);
  return r;
}, Re = (e) => {
  const t = e.$cmpMeta$, n = e.$hostElement$, s = t.$flags$, r = S("attachStyles", t.$tagName$), i = Me(
    n.shadowRoot ? n.shadowRoot : n.getRootNode(),
    t
  );
  s & 10 && (n["s-sc"] = i, n.classList.add(i + "-h")), r();
}, ae = (e, t) => "sc-" + e.$tagName$, Q = (e, t, n, s, r, i) => {
  if (n !== s) {
    let a = W(e, t), o = t.toLowerCase();
    if (t === "class") {
      const l = e.classList, $ = Z(n), c = Z(s);
      l.remove(...$.filter((f) => f && !c.includes(f))), l.add(...c.filter((f) => f && !$.includes(f)));
    } else if (t === "style") {
      for (const l in n)
        (!s || s[l] == null) && (l.includes("-") ? e.style.removeProperty(l) : e.style[l] = "");
      for (const l in s)
        (!n || s[l] !== n[l]) && (l.includes("-") ? e.style.setProperty(l, s[l]) : e.style[l] = s[l]);
    } else if (t === "ref")
      s && s(e);
    else if (!a && t[0] === "o" && t[1] === "n") {
      if (t[2] === "-" ? t = t.slice(3) : W(O, o) ? t = o.slice(2) : t = o[2] + t.slice(3), n || s) {
        const l = t.endsWith(le);
        t = t.replace(Ge, ""), n && d.rel(e, t, n, l), s && d.ael(e, t, s, l);
      }
    } else {
      const l = q(s);
      if ((a || l && s !== null) && !r)
        try {
          if (e.tagName.includes("-"))
            e[t] = s;
          else {
            const $ = s ?? "";
            t === "list" ? a = !1 : (n == null || e[t] != $) && (e[t] = $);
          }
        } catch {
        }
      s == null || s === !1 ? (s !== !1 || e.getAttribute(t) === "") && e.removeAttribute(t) : (!a || i & 4 || r) && !l && (s = s === !0 ? "" : s, e.setAttribute(t, s));
    }
  }
}, We = /\s/, Z = (e) => e ? e.split(We) : [], le = "Capture", Ge = new RegExp(le + "$"), ie = (e, t, n) => {
  const s = t.$elm$.nodeType === 11 && t.$elm$.host ? t.$elm$.host : t.$elm$, r = e && e.$attrs$ || Y, i = t.$attrs$ || Y;
  for (const a of N(Object.keys(r)))
    a in i || Q(s, a, r[a], void 0, n, t.$flags$);
  for (const a of N(Object.keys(i)))
    Q(s, a, r[a], i[a], n, t.$flags$);
};
function N(e) {
  return e.includes("ref") ? (
    // we need to sort these to ensure that `'ref'` is the last attr
    [...e.filter((t) => t !== "ref"), "ref"]
  ) : (
    // no need to sort, return the original array
    e
  );
}
var _, F, v = !1, D = (e, t, n, s) => {
  const r = t.$children$[n];
  let i = 0, a, o;
  if (r.$text$ !== null)
    a = r.$elm$ = m.createTextNode(r.$text$);
  else {
    if (v || (v = r.$tag$ === "svg"), a = r.$elm$ = m.createElementNS(
      v ? Te : _e,
      r.$tag$
    ), v && r.$tag$ === "foreignObject" && (v = !1), ie(null, r, v), Ae(_) && a["s-si"] !== _ && a.classList.add(a["s-si"] = _), r.$children$)
      for (i = 0; i < r.$children$.length; ++i)
        o = D(e, r, i), o && a.appendChild(o);
    r.$tag$ === "svg" ? v = !1 : a.tagName === "foreignObject" && (v = !0);
  }
  return a["s-hn"] = F, a;
}, oe = (e, t, n, s, r, i) => {
  let a = e, o;
  for (a.shadowRoot && a.tagName === F && (a = a.shadowRoot); r <= i; ++r)
    s[r] && (o = D(null, n, r), o && (s[r].$elm$ = o, A(a, o, t)));
}, $e = (e, t, n) => {
  for (let s = t; s <= n; ++s) {
    const r = e[s];
    if (r) {
      const i = r.$elm$;
      ce(r), i && i.remove();
    }
  }
}, Xe = (e, t, n, s, r = !1) => {
  let i = 0, a = 0, o = t.length - 1, l = t[0], $ = t[o], c = s.length - 1, f = s[0], u = s[c], p;
  for (; i <= o && a <= c; )
    l == null ? l = t[++i] : $ == null ? $ = t[--o] : f == null ? f = s[++a] : u == null ? u = s[--c] : T(l, f, r) ? (x(l, f, r), l = t[++i], f = s[++a]) : T($, u, r) ? (x($, u, r), $ = t[--o], u = s[--c]) : T(l, u, r) ? (x(l, u, r), A(e, l.$elm$, $.$elm$.nextSibling), l = t[++i], u = s[--c]) : T($, f, r) ? (x($, f, r), A(e, $.$elm$, l.$elm$), $ = t[--o], f = s[++a]) : (p = D(t && t[a], n, a), f = s[++a], p && A(l.$elm$.parentNode, p, l.$elm$));
  i > o ? oe(
    e,
    s[c + 1] == null ? null : s[c + 1].$elm$,
    n,
    s,
    a,
    c
  ) : a > c && $e(t, i, o);
}, T = (e, t, n = !1) => e.$tag$ === t.$tag$, x = (e, t, n = !1) => {
  const s = t.$elm$ = e.$elm$, r = e.$children$, i = t.$children$, a = t.$tag$, o = t.$text$;
  o === null ? (v = a === "svg" ? !0 : a === "foreignObject" ? !1 : v, ie(e, t, v), r !== null && i !== null ? Xe(s, r, t, i, n) : i !== null ? (e.$text$ !== null && (s.textContent = ""), oe(s, null, t, i, 0, i.length - 1)) : r !== null && $e(r, 0, r.length - 1), v && a === "svg" && (v = !1)) : e.$text$ !== o && (s.data = o);
}, ce = (e) => {
  e.$attrs$ && e.$attrs$.ref && e.$attrs$.ref(null), e.$children$ && e.$children$.map(ce);
}, A = (e, t, n) => e?.insertBefore(t, n), Ye = (e, t, n = !1) => {
  const s = e.$hostElement$, r = e.$cmpMeta$, i = e.$vnode$ || j(null, null), a = He(t) ? t : re(null, null, t);
  if (F = s.tagName, n && a.$attrs$)
    for (const o of Object.keys(a.$attrs$))
      s.hasAttribute(o) && !["key", "ref", "style", "class"].includes(o) && (a.$attrs$[o] = s[o]);
  a.$tag$ = null, a.$flags$ |= 4, e.$vnode$ = a, a.$elm$ = i.$elm$ = s.shadowRoot || s, _ = s["s-sc"], r.$flags$ & 1, x(i, a, n);
}, fe = (e, t) => {
  t && !e.$onRenderResolve$ && t["s-p"] && t["s-p"].push(new Promise((n) => e.$onRenderResolve$ = n));
}, M = (e, t) => {
  if (e.$flags$ |= 16, e.$flags$ & 4) {
    e.$flags$ |= 512;
    return;
  }
  return fe(e, e.$ancestorComponent$), Pe(() => Je(e, t));
}, Je = (e, t) => {
  const n = e.$hostElement$, s = S("scheduleUpdate", e.$cmpMeta$.$tagName$), r = e.$lazyInstance$;
  if (!r)
    throw new Error(
      `Can't render component <${n.tagName.toLowerCase()} /> with invalid Stencil runtime! Make sure this imported component is compiled with a \`externalRuntime: true\` flag. For more information, please refer to https://stenciljs.com/docs/custom-elements#externalruntime`
    );
  let i;
  return t && (i = R(r, "componentWillLoad")), s(), Ke(i, () => Ze(e, r, t));
}, Ke = (e, t) => Qe(e) ? e.then(t).catch((n) => {
  console.error(n), t();
}) : t(), Qe = (e) => e instanceof Promise || e && e.then && typeof e.then == "function", Ze = async (e, t, n) => {
  var s;
  const r = e.$hostElement$, i = S("update", e.$cmpMeta$.$tagName$), a = r["s-rc"];
  n && Re(e);
  const o = S("render", e.$cmpMeta$.$tagName$);
  Ne(e, t, r, n), a && (a.map((l) => l()), r["s-rc"] = void 0), o(), i();
  {
    const l = (s = r["s-p"]) != null ? s : [], $ = () => Ve(e);
    l.length === 0 ? $() : (Promise.all(l).then($), e.$flags$ |= 4, l.length = 0);
  }
}, Ne = (e, t, n, s) => {
  try {
    t = t.render(), e.$flags$ &= -17, e.$flags$ |= 2, Ye(e, t, s);
  } catch (r) {
    b(r, e.$hostElement$);
  }
  return null;
}, Ve = (e) => {
  const t = e.$cmpMeta$.$tagName$, n = e.$hostElement$, s = S("postUpdate", t), r = e.$lazyInstance$, i = e.$ancestorComponent$;
  e.$flags$ & 64 ? s() : (e.$flags$ |= 64, de(n), R(r, "componentDidLoad"), s(), e.$onReadyResolve$(n), i || ue()), e.$onRenderResolve$ && (e.$onRenderResolve$(), e.$onRenderResolve$ = void 0), e.$flags$ & 512 && B(() => M(e, !1)), e.$flags$ &= -517;
}, ue = (e) => {
  de(m.documentElement), B(() => Fe(O, "appload", { detail: { namespace: he } }));
}, R = (e, t, n) => {
  if (e && e[t])
    try {
      return e[t](n);
    } catch (s) {
      b(s);
    }
}, de = (e) => {
  var t;
  return e.classList.add((t = ge.hydratedSelectorName) != null ? t : "hydrated");
}, et = (e, t) => k(e).$instanceValues$.get(t), tt = (e, t, n, s) => {
  const r = k(e);
  if (!r)
    throw new Error(
      `Couldn't find host element for "${s.$tagName$}" as it is unknown to this Stencil runtime. This usually happens when integrating a 3rd party Stencil component with another Stencil component or application. Please reach out to the maintainers of the 3rd party Stencil component or report this on the Stencil Discord server (https://chat.stenciljs.com) or comment on this similar [GitHub issue](https://github.com/ionic-team/stencil/issues/5457).`
    );
  const i = r.$hostElement$, a = r.$instanceValues$.get(t), o = r.$flags$, l = r.$lazyInstance$;
  n = qe(n, s.$members$[t][0]);
  const $ = Number.isNaN(a) && Number.isNaN(n), c = n !== a && !$;
  if ((!(o & 8) || a === void 0) && c && (r.$instanceValues$.set(t, n), l)) {
    if (s.$watchers$ && o & 128) {
      const f = s.$watchers$[t];
      f && f.map((u) => {
        try {
          l[u](n, a, t);
        } catch (p) {
          b(p, i);
        }
      });
    }
    (o & 18) === 2 && M(r, !1);
  }
}, ve = (e, t, n) => {
  var s, r;
  const i = e.prototype;
  if (t.$members$ || t.$watchers$ || e.watchers) {
    e.watchers && !t.$watchers$ && (t.$watchers$ = e.watchers);
    const a = Object.entries((s = t.$members$) != null ? s : {});
    if (a.map(([o, [l]]) => {
      (l & 31 || n & 2 && l & 32) && Object.defineProperty(i, o, {
        get() {
          return et(this, o);
        },
        set($) {
          tt(this, o, $, t);
        },
        configurable: !0,
        enumerable: !0
      });
    }), n & 1) {
      const o = /* @__PURE__ */ new Map();
      i.attributeChangedCallback = function(l, $, c) {
        d.jmp(() => {
          var f;
          const u = o.get(l);
          if (this.hasOwnProperty(u))
            c = this[u], delete this[u];
          else {
            if (i.hasOwnProperty(u) && typeof this[u] == "number" && this[u] == c)
              return;
            if (u == null) {
              const p = k(this), g = p?.$flags$;
              if (g && !(g & 8) && g & 128 && c !== $) {
                const y = p.$lazyInstance$, w = (f = t.$watchers$) == null ? void 0 : f[l];
                w?.forEach((h) => {
                  y[h] != null && y[h].call(y, c, $, l);
                });
              }
              return;
            }
          }
          this[u] = c === null && typeof this[u] == "boolean" ? !1 : c;
        });
      }, e.observedAttributes = Array.from(
        /* @__PURE__ */ new Set([
          ...Object.keys((r = t.$watchers$) != null ? r : {}),
          ...a.filter(
            ([l, $]) => $[0] & 15
            /* HasAttribute */
          ).map(([l, $]) => {
            const c = $[1] || l;
            return o.set(c, l), c;
          })
        ])
      );
    }
  }
  return e;
}, st = async (e, t, n, s) => {
  let r;
  if (!(t.$flags$ & 32)) {
    if (t.$flags$ |= 32, n.$lazyBundleId$) {
      const l = Ee(n);
      if (l && "then" in l) {
        const c = Ce();
        r = await l, c();
      } else
        r = l;
      if (!r)
        throw new Error(`Constructor for "${n.$tagName$}#${t.$modeName$}" was not found`);
      r.isProxied || (n.$watchers$ = r.watchers, ve(
        r,
        n,
        2
        /* proxyState */
      ), r.isProxied = !0);
      const $ = S("createInstance", n.$tagName$);
      t.$flags$ |= 8;
      try {
        new r(t);
      } catch (c) {
        b(c);
      }
      t.$flags$ &= -9, t.$flags$ |= 128, $();
    } else {
      r = e.constructor;
      const l = e.localName;
      customElements.whenDefined(l).then(
        () => t.$flags$ |= 128
        /* isWatchReady */
      );
    }
    if (r && r.style) {
      let l;
      typeof r.style == "string" && (l = r.style);
      const $ = ae(n);
      if (!L.has($)) {
        const c = S("registerStyles", n.$tagName$);
        De($, l, !!(n.$flags$ & 1)), c();
      }
    }
  }
  const i = t.$ancestorComponent$, a = () => M(t, !0);
  i && i["s-rc"] ? i["s-rc"].push(a) : a();
}, nt = (e) => {
}, rt = (e) => {
  if (!(d.$flags$ & 1)) {
    const t = k(e), n = t.$cmpMeta$, s = S("connectedCallback", n.$tagName$);
    if (t.$flags$ & 1)
      t?.$lazyInstance$ || t?.$onReadyPromise$ && t.$onReadyPromise$.then(() => nt());
    else {
      t.$flags$ |= 1;
      {
        let r = e;
        for (; r = r.parentNode || r.host; )
          if (r["s-p"]) {
            fe(t, t.$ancestorComponent$ = r);
            break;
          }
      }
      n.$members$ && Object.entries(n.$members$).map(([r, [i]]) => {
        if (i & 31 && e.hasOwnProperty(r)) {
          const a = e[r];
          delete e[r], e[r] = a;
        }
      }), st(e, t, n);
    }
    s();
  }
}, V = (e) => {
  R(e, "disconnectedCallback");
}, at = async (e) => {
  if (!(d.$flags$ & 1)) {
    const t = k(e);
    t?.$lazyInstance$ ? V(t.$lazyInstance$) : t?.$onReadyPromise$ && t.$onReadyPromise$.then(() => V(t.$lazyInstance$));
  }
}, it = (e, t = {}) => {
  var n;
  const s = S(), r = [], i = t.exclude || [], a = O.customElements, o = m.head, l = /* @__PURE__ */ o.querySelector("meta[charset]"), $ = /* @__PURE__ */ m.createElement("style"), c = [];
  let f, u = !0;
  Object.assign(d, t), d.$resourcesUrl$ = new URL(t.resourcesUrl || "./", m.baseURI).href;
  let p = !1;
  if (e.map((g) => {
    g[1].map((y) => {
      var w;
      const h = {
        $flags$: y[0],
        $tagName$: y[1],
        $members$: y[2],
        $listeners$: y[3]
      };
      h.$flags$ & 4 && (p = !0), h.$members$ = y[2], h.$watchers$ = (w = y[4]) != null ? w : {};
      const P = h.$tagName$, pe = class extends HTMLElement {
        // StencilLazyHost
        constructor(E) {
          if (super(E), this.hasRegisteredEventListeners = !1, E = this, Se(E, h), h.$flags$ & 1) {
            if (!E.shadowRoot)
              E.attachShadow({ mode: "open" });
            else if (E.shadowRoot.mode !== "open")
              throw new Error(
                `Unable to re-use existing shadow root for ${h.$tagName$}! Mode is set to ${E.shadowRoot.mode} but Stencil only supports open shadow roots.`
              );
          }
        }
        connectedCallback() {
          k(this), this.hasRegisteredEventListeners || (this.hasRegisteredEventListeners = !0), f && (clearTimeout(f), f = null), u ? c.push(this) : d.jmp(() => rt(this));
        }
        disconnectedCallback() {
          d.jmp(() => at(this));
        }
        componentOnReady() {
          return k(this).$onReadyPromise$;
        }
      };
      h.$lazyBundleId$ = g[0], !i.includes(P) && !a.get(P) && (r.push(P), a.define(
        P,
        ve(
          pe,
          h,
          1
          /* isElementConstructor */
        )
      ));
    });
  }), r.length > 0 && (p && ($.textContent += ee), $.textContent += r.sort() + ke, $.innerHTML.length)) {
    $.setAttribute("data-styles", "");
    const g = (n = d.$nonce$) != null ? n : se(m);
    g != null && $.setAttribute("nonce", g), o.insertBefore($, l ? l.nextSibling : o.firstChild);
  }
  u = !1, c.length ? c.map((g) => g.connectedCallback()) : d.jmp(() => f = setTimeout(ue, 30)), s();
}, ot = (e, t) => t;
export {
  ot as F,
  it as b,
  re as h,
  be as p,
  lt as r
};
